Get a list of Budgets

GA
Retrieve a list of Budgets based on specified filters.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

per_pageintegerOptional
pageintegerOptional

Response

This endpoint returns a list of objects.
source_system_idstring
Unique identifier of the invoice in the erp system. This value will be used to match source data and perform upserts.
vendor_idstring

Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id which will be used to send back as part of JE to ERP.

subsidiary_idstring

Subsidiary id linked to the budget line. This value should match the g_source_system_id in source_coas.

department_idstring

Department id linked to the budget line. This value should match the g_source_system_id in source_coas.

glaccount_numberstring
GLAccount number
glaccount_idstring

GLAccount id linked to the budget line. This value should match the g_source_system_id in source_coas.

subsidiary_currency_idstring

Subsidiary currency id of the budget line. Should match the name in the currency list of source_coas.

subsidiary_amountdouble
Amount of the budget in the subsidiarys base currency.
perioddate

Budget applicable period.
Format: yyyy-mm-01 (e.g., 2026-03-01).

created_atdatetime
updated_atdatetime

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error